﻿    function onLoaded(){

             HybridBridge.onDownloadImage({
                    complete: showImage
                });

                HybridBridge.loadedAllImage({
                    images:getAllImageOffsets()
                });

                HybridBridge.adjustFontSize({
                    complete: adjustFontSize
                });

                var defaultSize = localStorage.getItem('adjustFontSize')||'medium';
                adjustFontSize(defaultSize);

            }

        function  getAllImage()
        {
              var allImage = document.querySelectorAll("img.img-link");
                allImage = Array.prototype.slice.call(allImage, 0);
                console.log(allImage);
                return  allImage;
        };

        function getAllImageOffsets(){
            var imageOffset=[];
            var allImage = getAllImage();
            allImage.forEach(function(image) {
                imageOffset.push([image.offsetLeft,image.offsetTop,image.width,image.height]);
            });
            console.log(imageOffset);
            return imageOffset||[];
        }

        function onImageClick(index)
        {
                var  param={
                    index:index
                    ,images:getAllImageOffsets()
                    ,complete:null
                };
                HybridBridge.openImageGalley(param);
                console.log(param);
        }

        //显示图片
        function showImage(data)
        {
            //alert('showImage:'+data.index+'=='+data.localUrl);
            var allImage = getAllImage();
                allImage.forEach(function(image,index) {
                        if(data.index==index)
                        {
                            image.src=data.localUrl;
                        }
                    });
        }

        //修改字号大小
        //参数 big、medium、small
        function adjustFontSize(size) {
            var content = document.getElementById("content");
            var fontSize = '16';
            var lineHeight = '26';

            switch (size) {
                case 'big':
                    fontSize = '20';
                    lineHeight = '30';
                    break;
                case 'small':
                    fontSize = '14';
                    lineHeight = '22';
                    break;
                default:
                    break;
            }

            if (content) {
                content.style.fontSize = fontSize +'px';
                content.style.lineHeight = lineHeight + 'px';
            }

            localStorage.setItem('adjustFontSize');
        }